<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="c:\program files (x86)\microsoft visual studio\2019\community\team tools\static analysis tools\fxcop\Xml\CodeAnalysisReport.xsl"?>
<FxCopReport Version="16.0">
 <Targets>
  <Target Name="C:\Users\Aigner\AppData\Local\Temp\tmp4030.tmp.cadir\bin\App_Code.dll">
   <Modules>
    <Module Name="app_code.dll">
     <Namespaces>
      <Namespace Name="">
       <Types>
        <Type Name="cDBADMINFunctions" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#doTheSql(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="414">Das Objekt "'conn'" kann mehrere Male in der 'cDBADMINFunctions.doTheSql(String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 414</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="406">Die in 'cDBADMINFunctions.doTheSql(String)' an 'SqlCommand.New(String, SqlConnection)' übergebene Abfragezeichenfolge könnte die folgenden 'sql'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#getInstance(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="441">Das Objekt "'con'" kann mehrere Male in der 'cDBADMINFunctions.getInstance(String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 441</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="427">Die in 'cDBADMINFunctions.getInstance(String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'id'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#insert_HPContentNew(hp_content,System.String,System.String,System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="468">Das Objekt "'conn'" kann mehrere Male in der 'cDBADMINFunctions.insert_HPContentNew(hp_content, String, String, String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 468</Issue>
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="484">Das Objekt "'conn'" kann mehrere Male in der 'cDBADMINFunctions.insert_HPContentNew(hp_content, String, String, String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 484</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="456">Die in 'cDBADMINFunctions.insert_HPContentNew(hp_content, String, String, String, String)' an 'SqlCommand.New(String, SqlConnection)' übergebene Abfragezeichenfolge könnte die folgenden 'Me.getTitle(laenderkuerzel)', 'New String(5)(3)'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_contentNew(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="289">Das Objekt "'con'" kann mehrere Male in der 'cDBADMINFunctions.qry_contentNew(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 289</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="269">Die in 'cDBADMINFunctions.qry_contentNew(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'menuID'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_menu_tags(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="253">Das Objekt "'con'" kann mehrere Male in der 'cDBADMINFunctions.qry_menu_tags(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 253</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="234">Die in 'cDBADMINFunctions.qry_menu_tags(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'ref'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#update_HPContentNew(hp_content,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="373">Das Objekt "'conn'" kann mehrere Male in der 'cDBADMINFunctions.update_HPContentNew(hp_content, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 373</Issue>
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="397">Das Objekt "'conn'" kann mehrere Male in der 'cDBADMINFunctions.update_HPContentNew(hp_content, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 397</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="358">Die in 'cDBADMINFunctions.update_HPContentNew(hp_content, String)' an 'SqlCommand.New(String, SqlConnection)' übergebene Abfragezeichenfolge könnte die folgenden 'Me.getSpaltenBezeichnung(laenderkuerzel)', 'Me.getSlogan(laenderkuerzel)', 'Me.getTitle(laenderkuerzel)'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="382">Die in 'cDBADMINFunctions.update_HPContentNew(hp_content, String)' an 'SqlCommand.New(String, SqlConnection)' übergebene Abfragezeichenfolge könnte die folgenden 'Me.getSpaltenBezeichnung(laenderkuerzel)', 'Me.getSlogan(laenderkuerzel)', 'Me.getTitle(laenderkuerzel)'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
        <Type Name="cDBFunctions" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#qry_blockfield_content(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="205">Das Objekt "'con'" kann mehrere Male in der 'cDBFunctions.qry_blockfield_content(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 205</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="192">Die in 'cDBFunctions.qry_blockfield_content(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'bf_ID'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_blockfields(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="175">Das Objekt "'con'" kann mehrere Male in der 'cDBFunctions.qry_blockfields(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 175</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="162">Die in 'cDBFunctions.qry_blockfields(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'block_id'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_content(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="97">Das Objekt "'con'" kann mehrere Male in der 'cDBFunctions.qry_content(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 97</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="82">Die in 'cDBFunctions.qry_content(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'menuID'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_contentNew(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="140">Das Objekt "'con'" kann mehrere Male in der 'cDBFunctions.qry_contentNew(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 140</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="124">Die in 'cDBFunctions.qry_contentNew(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'Me.getSpaltenBezeichnung(laenderkuerzel)', 'menuID'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#qry_menu_tags(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="66">Das Objekt "'con'" kann mehrere Male in der 'cDBFunctions.qry_menu_tags(String, String)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 66</Issue>
            </Message>
            <Message TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\App_Code" File="cDBFunctions.vb" Line="44">Die in 'cDBFunctions.qry_menu_tags(String, String)' an 'SqlCommand.CommandText.Set(String)' übergebene Abfragezeichenfolge könnte die folgenden 'ref'-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
  <Target Name="C:\Users\Aigner\AppData\Local\Temp\tmp4030.tmp.cadir\bin\App_Web_1div4lah.dll">
   <Modules>
    <Module Name="app_web_1div4lah.dll">
     <Namespaces>
      <Namespace Name="">
       <Types>
        <Type Name="login_login" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#ValidateUser(System.Object,System.EventArgs)" Kind="Method" Static="False" Accessibility="Family" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\login" File="login.aspx.vb" Line="46">Das Objekt "'con'" kann mehrere Male in der 'login_login.ValidateUser(Object, EventArgs)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 46</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
        <Type Name="login_login_TEST" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#ValidateUser(System.Object,System.EventArgs)" Kind="Method" Static="False" Accessibility="Family" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\login" File="Loggedin.aspx.vb" Line="53">Das Objekt "'con'" kann mehrere Male in der 'login_login_TEST.ValidateUser(Object, EventArgs)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 53</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
  <Target Name="C:\Users\Aigner\AppData\Local\Temp\tmp4030.tmp.cadir\bin\App_Web_2ldrhjux.dll">
   <Modules>
    <Module Name="app_web_2ldrhjux.dll">
     <Namespaces>
      <Namespace Name="">
       <Types>
        <Type Name="login_login_TEST" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#ValidateUser(System.Object,System.EventArgs)" Kind="Method" Static="False" Accessibility="Family" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\login" File="login_TEST.aspx.vb" Line="53">Das Objekt "'con'" kann mehrere Male in der 'login_login_TEST.ValidateUser(Object, EventArgs)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 53</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
  <Target Name="C:\Users\Aigner\AppData\Local\Temp\tmp4030.tmp.cadir\bin\App_Web_i1szlr2n.dll">
   <Modules>
    <Module Name="app_web_i1szlr2n.dll">
     <Namespaces>
      <Namespace Name="">
       <Types>
        <Type Name="login_login_TEST" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Members>
          <Member Name="#ValidateUser(System.Object,System.EventArgs)" Kind="Method" Static="False" Accessibility="Family" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202" Status="Active" Created="2021-09-06 11:26:55Z" FixCategory="DependsOnFix">
             <Issue Certainty="75" Level="Warning" Path="C:\Users\Aigner\Documents\GitHub\VERAG_Homepage\login" File="login_FLEX.aspx.vb" Line="53">Das Objekt "'con'" kann mehrere Male in der 'login_login_TEST.ValidateUser(Object, EventArgs)'-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 53</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
 </Targets>
 <Rules>
  <Rule TypeName="Objekte nicht mehrmals verwerfen" Category="Microsoft.Usage" CheckId="CA2202">
   <Name>Objekte nicht mehrmals verwerfen</Name>
   <Description>Eine ordnungsgemäß implementierte Dispose-Methode kann mehrere Male aufgerufen werden, ohne dass eine Ausnahme ausgelöst wird. Dies ist jedoch nicht garantiert. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.</Description>
   <Resolution Name="Default">Das Objekt "{0}" kann mehrere Male in der {1}-Methode verworfen werden. Um zu verhindern, dass eine System.ObjectDisposedException generiert wird, sollten Sie die Dispose-Methode nur einmal für ein Objekt aufrufen.: Lines: 53</Resolution>
   <Owner>RuleOwner</Owner>
   <Url>http://msdn.microsoft.com/library/ms182334.aspx</Url>
   <Email />
   <MessageLevel Certainty="75">Warning</MessageLevel>
   <File Name="dataflowrules.dll" Version="16.0.0.0" />
  </Rule>
  <Rule TypeName="SQL-Abfragen auf Sicherheitsrisiken überprüfen" Category="Microsoft.Security" CheckId="CA2100">
   <Name>SQL-Abfragen auf Sicherheitsrisiken überprüfen</Name>
   <Description>Eine SQL-Befehlszeichenfolge, die aus Benutzereingaben erstellt wird, ist anfällig für Angriffe durch Einschleusung von SQL-Befehlen. Microsoft SQL Server und andere Datenbankserver unterstützen gespeicherte Prozeduren und parametrisierte SQL-Abfragen, durch die das Risiko von Angriffen durch Einschleusung von Befehlen reduziert wird.</Description>
   <Resolution Name="WithNonLiterals">Die in {1} an {0} übergebene Abfragezeichenfolge könnte die folgenden {2}-Variablen enthalten. Wenn eine dieser Variablen aus Benutzereingaben stammt, sollten Sie eine gespeicherte Prozedur oder eine parametrisierte SQL-Abfrage verwenden, anstatt die Abfrage mit Zeichenfolgenverkettungen zu erstellen.</Resolution>
   <Owner>RuleOwner</Owner>
   <Url>http://msdn.microsoft.com/library/ms182310.aspx</Url>
   <Email />
   <MessageLevel Certainty="75">Warning</MessageLevel>
   <File Name="dataflowrules.dll" Version="16.0.0.0" />
  </Rule>
 </Rules>
 <Localized>
  <String Key="Category">Kategorie</String>
  <String Key="Certainty">Sicherheit</String>
  <String Key="CollapseAll">Alle zuklappen</String>
  <String Key="CheckId">Prüf-ID</String>
  <String Key="Error">Fehler</String>
  <String Key="Errors">Fehler</String>
  <String Key="ExpandAll">Alle aufklappen</String>
  <String Key="Help">Hilfe</String>
  <String Key="Line">Zeile</String>
  <String Key="Messages">Meldung(en)</String>
  <String Key="LocationNotStoredInPdb">[Nicht in PDB gespeicherter Speicherort]</String>
  <String Key="Project">Projekt</String>
  <String Key="Resolution">Auflösung</String>
  <String Key="Rule">Regel</String>
  <String Key="RuleFile">Regeldatei</String>
  <String Key="RuleDescription">Regelbeschreibung</String>
  <String Key="Source">Quelle</String>
  <String Key="Status">Status</String>
  <String Key="Target">Ziel</String>
  <String Key="Warning">Warnung</String>
  <String Key="Warnings">Warnung(en)</String>
  <String Key="ReportTitle">Code Analysis-Bericht</String>
 </Localized>
</FxCopReport>
